/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#include "MetaData.h"

void MetaData::set(Field field, const QVariant & value) {
	// Don't allow setting images with this function!
	if (field >= MetaData::TitleField && field < MetaData::PicturesField)
		_data.insert(field, value);
}

bool MetaData::null() const {
	return (_data.isEmpty() && _images.isEmpty());
}

void MetaData::addImage(const MetaDataImage & image) {
	_images << image;
}

void MetaData::removeImage(int index) {
	_images.removeAt(index);
}