/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#include "globals.h"

QString toQString(const char * str, int encoding) {
	switch (encoding) {
		case Coquillo::ISO_8859_15:
			return QString::fromLatin1(str);

		case Coquillo::UTF_8:
		default:
			return QString::fromUtf8(str);
	}
}

int Coquillo::encoding = Coquillo::UTF_8;
int Coquillo::numberPadWidth = 0;
int Coquillo::fileExtensionCase = 0;

bool Coquillo::removeDiscFromAlbumName = false;
bool Coquillo::intelligentCapitalization = false;
bool Coquillo::safeFileNames = false;
bool Coquillo::trimWhiteSpace = false;

bool Coquillo::dimSubdirectoriesBackground = false;

bool Coquillo::Flac::id3v2 = false;
bool Coquillo::Mpeg::id3v1 = false;
bool Coquillo::OggVorbis::stripLegacyCovers = false;

QStringList Coquillo::ignoreWords = QStringList() << "in" << "the" << "at" << "of";

QString Coquillo::currentDirectory;
