/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#include <QDebug>
#include <QItemSelection>

#include "DataWidget.h"

DataWidget::DataWidget(QWidget * parent)
: QWidget(parent), _model(0) {

	
}

DataWidget::~DataWidget() {
	
}

void DataWidget::setModel(QAbstractItemModel * model) {
	_model = model;
	_rows.clear();
}

void DataWidget::setSelection(const QItemSelection & selection) {
	_rows.clear();

	QList<int> rows;

	foreach (const QModelIndex idx, selection.indexes()) {
		if (!rows.contains(idx.row())) {
			rows << idx.row();
			_rows << QPersistentModelIndex(idx);
		}
	}
}