/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#ifndef DATAWIDGET_H
#define DATAWIDGET_H

#include <QPersistentModelIndex>
#include <QWidget>

class QAbstractItemModel;
class QItemSelection;

class DataWidget : public QWidget {
	Q_OBJECT

	public:
		DataWidget(QWidget * parent=0);
		~DataWidget();

		QList<QPersistentModelIndex> rows() const { return _rows; }

		QAbstractItemModel * model() const { return _model; }
		virtual void setModel(QAbstractItemModel * model);

	public slots:
		virtual void setSelection(const QItemSelection & selection);
		
	private:
		QAbstractItemModel * _model;
		QList<QPersistentModelIndex> _rows;
};

#endif