/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#include <QFileSystemModel>

#include "FileSystemProxyModel.h"

FileSystemProxyModel::FileSystemProxyModel(QObject * parent)
: QSortFilterProxyModel(parent) {


}

QString FileSystemProxyModel::rootPath() const {
	if (sourceModel())
		return sourceModel()->rootPath();

	return QString();
}

void FileSystemProxyModel::setRootPath(const QString & path) {
	if (sourceModel())
		sourceModel()->setRootPath(path);
}

QFileSystemModel * FileSystemProxyModel::sourceModel() const {
	return qobject_cast<QFileSystemModel*>(QSortFilterProxyModel::sourceModel());
}

void FileSystemProxyModel::setSourceModel(QFileSystemModel * m) {
	QSortFilterProxyModel::setSourceModel(m);
}

QVariant FileSystemProxyModel::data(const QModelIndex & idx, int role) const {
	if (role == Qt::SizeHintRole) {
		return QSize(100, 26);
	}

	return QSortFilterProxyModel::data(idx, role);

}
