/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#ifndef FILESYSTEMPROXYMODEL_H
#define FILESYSTEMPROXYMODEL_H

#include <QSortFilterProxyModel>

class QFileSystemModel;

class FileSystemProxyModel : public QSortFilterProxyModel {
	Q_OBJECT

	public:
		FileSystemProxyModel(QObject * parent=0);

		QString rootPath() const;
		void setRootPath(const QString &);

		QFileSystemModel * sourceModel() const;
		void setSourceModel(QFileSystemModel *);

		int columnCount(const QModelIndex & =QModelIndex()) const {
			return 1;
		}

		QVariant data(const QModelIndex & idx, int role=Qt::DisplayRole) const;
};

#endif
