/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#include <QDebug>

#include "MetaDataChangeIndicatorDelegate.h"
#include <core/MetaDataModel2.h>

typedef MetaDataModel2 MetaDataModel;

MetaDataChangeIndicatorDelegate::MetaDataChangeIndicatorDelegate(QObject * parent)
	: QStyledItemDelegate(parent) {

}

void MetaDataChangeIndicatorDelegate::setEditorData(QWidget * editor, const QModelIndex & idx) const {
	if (!editor || !editor->inherits("QLabel")) {
		return;
	}

	/*
	 * Set bold font to labels whose corresponding field has changed from the
	 * original value.
	 */

	QFont font = editor->font();
	font.setBold(idx.data(MetaDataModel::FieldChangedRole).toBool());

	editor->setFont(font);
}
