/***********************************************************************
* Copyright (c) 2011 Samu Juvonen <samu.juvonen@gmail.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

#define APPLICATION_VERSION "1.12"
#define RELEASE_DATE "2012-06-19"

#include <iostream>

#include <QApplication>
#include <QDebug>
#include <QStringList>

#include "Coquillo.h"

void printHelp();

const char * releaseDate = RELEASE_DATE;
const char * applicationVersion = APPLICATION_VERSION;

int main(int argc, char ** argv) {
	QApplication app(argc, argv);

	QCoreApplication::setApplicationName("Coquillo");
	QCoreApplication::setOrganizationName("Smusoft");
	QCoreApplication::setOrganizationDomain("univerge.no-ip.org");
	QCoreApplication::setApplicationVersion(::applicationVersion);

	const QStringList args = QApplication::arguments();

	if (args.contains("--help")) {
		// Print help and quit.
		printHelp();
		return 0;
	}

	Coquillo coquillo;

	return app.exec();
}

void printHelp() {
	std::cout << "Usage: coquillo [options] [dir]" << std::endl << std::endl;
	std::cout << "Coquillo " << APPLICATION_VERSION << std::endl << std::endl;
	std::cout << "Audio file metadata editor" << std::endl;
}
